Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733604 - app-office/wps-office does not respect CFLAGS/LDFLAGS
Summary: app-office/wps-office does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Pacho Ramos
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qa-cflags ldflags
  Show dependency tree
 
Reported: 2020-07-22 19:43 UTC by Agostino Sarubbo
Modified: 2020-07-23 10:39 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,25.82 KB, text/plain)
2020-07-22 19:43 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-22 19:43:41 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-office/wps-office does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-22 19:43:46 UTC
Created attachment 650226 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-07-23 10:39:29 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a6c2e654893afd7574fe04f751cd7b2e35eb3ae

commit 4a6c2e654893afd7574fe04f751cd7b2e35eb3ae
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2020-07-23 10:39:12 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2020-07-23 10:39:24 +0000

    app-office/wps-office: Binary package
    
    Closes: https://bugs.gentoo.org/733604
    Package-Manager: Portage-3.0.0, Repoman-2.3.23
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 app-office/wps-office/wps-office-11.1.0.9505.ebuild | 1 +
 1 file changed, 1 insertion(+)